View Issue Details

IDProjectCategoryView StatusLast Update
0003586SymmetricDSImprovementpublic2018-07-20 12:21
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.8Fixed in Version3.9.8 
Summary0003586: Noorder sequence for performance on Oracle RAC
DescriptionOracle RAC must coordinate an ordered sequence (for sym_data) across the cluster, which results in wait time overhead for high throughput change capture. A "noorder" sequence reduces the overhead and is 30x faster. Add a oracle.sequence.noorder parameter that can be enabled for better performance on Oracle RAC. It will alter the sym_data sequence to be "noorder", add an index to sym_data for (create_time, data_id), and query sym_data with an order by of create_time and data_id.

Relationships

related to 0003587 closedelong Noorder sequence for performance on Oracle RAC 
related to 0003640 closedelong Oracle sequence noorder does not need extra index 
related to 0003641 closedelong Oracle sequence noorder does not need extra index 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 6ef72b61

2018-05-31 14:08:07

admin

Details Diff
0003586: Noorder sequence for performance on Oracle RAC
0003586
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.9 5bf209e0

2018-06-05 14:14:53

admin

Details Diff
0003586: Noorder sequence for performance on Oracle RAC
0003586
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

SymmetricDS: 3.8 007f51cf

2018-06-06 14:09:28

admin

Details Diff
0003586: Noorder sequence for performance on Oracle RAC
0003586
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2018-05-31 14:01 elong New Issue
2018-05-31 14:01 elong Status new => assigned
2018-05-31 14:01 elong Assigned To => elong
2018-05-31 14:10 elong Relationship added related to 0003587
2018-05-31 15:00 admin Changeset attached => SymmetricDS 3.9 6ef72b61
2018-06-05 14:23 elong Status assigned => resolved
2018-06-05 14:23 elong Resolution open => fixed
2018-06-05 14:23 elong Fixed in Version => 3.9.8
2018-06-05 15:00 admin Changeset attached => SymmetricDS 3.9 5bf209e0
2018-06-05 16:55 mmichalek Status resolved => closed
2018-06-06 15:00 admin Changeset attached => SymmetricDS 3.8 007f51cf
2018-07-20 12:15 elong Relationship added related to 0003640
2018-07-20 12:21 elong Relationship added related to 0003641